---
title: '@corex/use-typed'
custom_edit_url: 'https://github.com/iamvishnusankar/corex/edit/master/packages/use-typed/README.md'
---

## Example Usage

[![Edit trusting-hypatia-frr0z](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/trusting-hypatia-frr0z?fontsize=14&hidenavigation=1&theme=dark)

```tsx
import React from 'react'
import useTyped from '@corex/use-typed'

export const Hello = () => {
  const typedRef = React.useRef(null)

  useTyped(typedRef, {
    strings: ['example', 'something else', 'another'],
    typeSpeed: 50,
    backSpeed: 30,
    loop: true,
    showCursor: false,
  })

  return (
    <h2>
      Hello,{' '}
      <span
        style={{ color: 'dodgerblue' }}
        className="text-success"
        ref={typedRef}
      />{' '}
      text
    </h2>
  )
}

export default Hello
```
