"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.useTyped = void 0;
var react_1 = __importDefault(require("react"));
var typed_js_1 = __importDefault(require("typed.js"));
/**
 * useTyped
 * @param ref reference element
 * @param options TypedOptions
 * @returns Typed
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
var useTyped = function (ref, options) {
    var instance = react_1["default"].useRef(null);
    react_1["default"].useEffect(function () {
        if (ref.current === null) {
            return;
        }
        instance.current = new typed_js_1["default"](ref.current, options);
        return function () { return instance.current.destroy(); };
    }, [options, ref]);
    return instance.current;
};
exports.useTyped = useTyped;
