import React from 'react';
import Typed from 'typed.js';
/**
 * useTyped
 * @param ref reference element
 * @param options TypedOptions
 * @returns Typed
 */
// eslint-disable-next-line @typescript-eslint/explicit-module-boundary-types
export const useTyped = (ref, options) => {
    const instance = React.useRef(null);
    React.useEffect(() => {
        if (ref.current === null) {
            return;
        }
        instance.current = new Typed(ref.current, options);
        return () => instance.current.destroy();
    }, [options, ref]);
    return instance.current;
};
